Download it now!
Bug 134572 - FILEOPEN: DOCX: Incorrect default value in dropdown text fields
Summary: FILEOPEN: DOCX: Incorrect default value in dropdown text fields
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-06 14:11 UTC by Xisco Faulí
Modified: 2020-08-17 13:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.1 master (331.44 KB, image/png)
2020-07-06 14:11 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-06 14:11:20 UTC
Created attachment 162715 [details]
Comparison MSO 2010 and LibreOffice 7.1 master

Steps to reproduce:
1. Open attachment 98466 [details] from bug 78292

-> Some dropdown fields have already a value see. For instance 'Class Start Time:' and 'Class End Time:' are set to AM. They should be 'Choose an item value' instead. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-07-06 14:12:36 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=33ad3ee258587904afaa03550858beac25b883f7

author	Serge Krot <Serge.Krot@cib.de>	2020-06-16 17:11:12 +0200
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2020-06-17 17:00:46 +0200
commit	33ad3ee258587904afaa03550858beac25b883f7 (patch)
tree	b9da475b6226ce31132917efe2360bd8a52ee568
parent	5568d92c5c705b4d728af859dc44afdd64e72195 (diff)
tdf#134043 DOCX import: DropDown text field instead of ComboBox form control

Bisected with: bibisect-linux64-7.1

Adding Cc: to Serge Krot
Comment 2 Xisco Faulí 2020-07-07 11:31:36 UTC
Also reproduced with attachment 61000 [details] from bug 49451
Comment 3 Xisco Faulí 2020-07-07 13:55:53 UTC
attachment 100702 [details] from bug 79817 is also affected. Default value for the second form should be 'RK - Risk / EH&S'
Comment 4 Serge Krot (CIB) 2020-07-20 13:16:57 UTC
https://gerrit.libreoffice.org/c/core/+/99074
Comment 5 Commit Notification 2020-08-05 21:21:50 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/89b6b2dbb728abea2186ff1ae158c0adb67d05be

tdf#134572 DOCX: Incorrect default value in dropdown text fields

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-08-07 09:45:26 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e87fb75453b26f8f452f4db1130f672a681eaf71
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Serge, thanks for fixing this issue. Should it be closed as RESOLVED FIXED or is there still work to do ?
Comment 7 Commit Notification 2020-08-07 19:07:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bdbf72d9a23cf63bebc01d5fe1567f76cb260c7d

tdf#134572: sw_ooxmlimport: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-08-10 08:39:57 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/73b2bacf2f3f531896fc20aeecb51d433ecd5a9c

tdf#134572 DOCX: Incorrect default value in dropdown text fields

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.